# int16Sink property

StreamSink<List<Int16List>>? get int16Sink

Getter of one of the three StreamSink that you may use to feed a player from Stream.

This stream is used when you have NOT interleaved audio data and you don't want a flow control. You can look to this small guide if you need precisions.

## Return

The StreamSink that you may use to feed the player

## example

    await myPlayer.startPlayerFromStream
    (
        codec: Codec.pcm16
        numChannels: 2
        sampleRate: 48100
        interleaved: false,
    );

    myPlayer.int16Sink.add(myData);

## See also

- float32Sink
- int16Sink
- feedF32FromStream()
- feedUint8FromStream()
- feedF32FromStream()
- You can also look to this small guide if you need precisions.

## Implementation

    StreamSink<List<Int16List>>? get int16Sink => _pcmInt16Controller?.sink;